%%%---------------------------------------
%%% module      : data_act_ratio_show
%%% description : 抽奖概率展示配置
%%%
%%%---------------------------------------
-module(data_act_ratio_show).
-compile(export_all).
-include("custom_act.hrl").



get_award_ratio(331,6,0,1) ->
    #act_draw_ratio{module = 331,sub_module = 6,sub_act = 0,award_id = 1,name = <<"累充弹珠机"/utf8>>,goods_name = <<"<color@6>大奖</color>"/utf8>>,ratio = 2000};

get_award_ratio(331,6,0,2) ->
    #act_draw_ratio{module = 331,sub_module = 6,sub_act = 0,award_id = 2,name = <<"累充弹珠机"/utf8>>,goods_name = <<"<color@5>极品道具</color>"/utf8>>,ratio = 2000};

get_award_ratio(331,6,0,3) ->
    #act_draw_ratio{module = 331,sub_module = 6,sub_act = 0,award_id = 3,name = <<"累充弹珠机"/utf8>>,goods_name = <<"<color@4>珍品道具</color>"/utf8>>,ratio = 2000};

get_award_ratio(331,6,0,4) ->
    #act_draw_ratio{module = 331,sub_module = 6,sub_act = 0,award_id = 4,name = <<"累充弹珠机"/utf8>>,goods_name = <<"<color@3>精品道具</color>"/utf8>>,ratio = 1000};

get_award_ratio(331,6,0,5) ->
    #act_draw_ratio{module = 331,sub_module = 6,sub_act = 0,award_id = 5,name = <<"累充弹珠机"/utf8>>,goods_name = <<"<color@2>普通道具</color>"/utf8>>,ratio = 3000};

get_award_ratio(331,11,0,1) ->
    #act_draw_ratio{module = 331,sub_module = 11,sub_act = 0,award_id = 1,name = <<"源能转盘"/utf8>>,goods_name = <<"<color@6>特等奖</color>"/utf8>>,ratio = 500};

get_award_ratio(331,11,0,2) ->
    #act_draw_ratio{module = 331,sub_module = 11,sub_act = 0,award_id = 2,name = <<"源能转盘"/utf8>>,goods_name = <<"<color@5>一等奖</color>"/utf8>>,ratio = 1500};

get_award_ratio(331,11,0,3) ->
    #act_draw_ratio{module = 331,sub_module = 11,sub_act = 0,award_id = 3,name = <<"源能转盘"/utf8>>,goods_name = <<"<color@4>二等奖</color>"/utf8>>,ratio = 2000};

get_award_ratio(331,11,0,4) ->
    #act_draw_ratio{module = 331,sub_module = 11,sub_act = 0,award_id = 4,name = <<"源能转盘"/utf8>>,goods_name = <<"<color@3>三等奖</color>"/utf8>>,ratio = 2000};

get_award_ratio(331,11,0,5) ->
    #act_draw_ratio{module = 331,sub_module = 11,sub_act = 0,award_id = 5,name = <<"源能转盘"/utf8>>,goods_name = <<"<color@2>其余奖励</color>"/utf8>>,ratio = 4000};

get_award_ratio(331,20,0,1) ->
    #act_draw_ratio{module = 331,sub_module = 20,sub_act = 0,award_id = 1,name = <<"源樱之礼"/utf8>>,goods_name = <<"<color@6>极品奖励</color>"/utf8>>,ratio = 15};

get_award_ratio(331,20,0,2) ->
    #act_draw_ratio{module = 331,sub_module = 20,sub_act = 0,award_id = 2,name = <<"源樱之礼"/utf8>>,goods_name = <<"<color@5>珍稀奖励</color>"/utf8>>,ratio = 1135};

get_award_ratio(331,20,0,3) ->
    #act_draw_ratio{module = 331,sub_module = 20,sub_act = 0,award_id = 3,name = <<"源樱之礼"/utf8>>,goods_name = <<"<color@4>普通奖励</color>"/utf8>>,ratio = 8850};

get_award_ratio(331,115,0,1) ->
    #act_draw_ratio{module = 331,sub_module = 115,sub_act = 0,award_id = 1,name = <<"黑白棋"/utf8>>,goods_name = <<"<color@6>超级大奖</color>"/utf8>>,ratio = 625};

get_award_ratio(331,115,0,2) ->
    #act_draw_ratio{module = 331,sub_module = 115,sub_act = 0,award_id = 2,name = <<"黑白棋"/utf8>>,goods_name = <<"<color@5>高级道具</color>"/utf8>>,ratio = 1875};

get_award_ratio(331,115,0,3) ->
    #act_draw_ratio{module = 331,sub_module = 115,sub_act = 0,award_id = 3,name = <<"黑白棋"/utf8>>,goods_name = <<"<color@4>中级道具</color>"/utf8>>,ratio = 3750};

get_award_ratio(331,115,0,4) ->
    #act_draw_ratio{module = 331,sub_module = 115,sub_act = 0,award_id = 4,name = <<"黑白棋"/utf8>>,goods_name = <<"<color@3>普通道具</color>"/utf8>>,ratio = 1875};

get_award_ratio(331,115,0,5) ->
    #act_draw_ratio{module = 331,sub_module = 115,sub_act = 0,award_id = 5,name = <<"黑白棋"/utf8>>,goods_name = <<"<color@2>其余道具</color>"/utf8>>,ratio = 1875};

get_award_ratio(331,120,0,1) ->
    #act_draw_ratio{module = 331,sub_module = 120,sub_act = 0,award_id = 1,name = <<"能量树"/utf8>>,goods_name = <<"金色能量体"/utf8>>,ratio = 217};

get_award_ratio(331,120,0,2) ->
    #act_draw_ratio{module = 331,sub_module = 120,sub_act = 0,award_id = 2,name = <<"能量树"/utf8>>,goods_name = <<"紫色能量体"/utf8>>,ratio = 1080};

get_award_ratio(331,120,0,3) ->
    #act_draw_ratio{module = 331,sub_module = 120,sub_act = 0,award_id = 3,name = <<"能量树"/utf8>>,goods_name = <<"蓝色能量体"/utf8>>,ratio = 4350};

get_award_ratio(331,122,0,1) ->
    #act_draw_ratio{module = 331,sub_module = 122,sub_act = 0,award_id = 1,name = <<"源能工坊"/utf8>>,goods_name = <<"<color@6>至臻大奖</color>"/utf8>>,ratio = 189};

get_award_ratio(331,122,0,2) ->
    #act_draw_ratio{module = 331,sub_module = 122,sub_act = 0,award_id = 2,name = <<"源能工坊"/utf8>>,goods_name = <<"极品奖励"/utf8>>,ratio = 1044};

get_award_ratio(331,122,0,3) ->
    #act_draw_ratio{module = 331,sub_module = 122,sub_act = 0,award_id = 3,name = <<"源能工坊"/utf8>>,goods_name = <<"精品奖励"/utf8>>,ratio = 8767};

get_award_ratio(333,0,101,1) ->
    #act_draw_ratio{module = 333,sub_module = 0,sub_act = 101,award_id = 1,name = <<"竞榜"/utf8>>,goods_name = <<"<color@6>大奖</color>"/utf8>>,ratio = 2000};

get_award_ratio(333,0,101,2) ->
    #act_draw_ratio{module = 333,sub_module = 0,sub_act = 101,award_id = 2,name = <<"竞榜"/utf8>>,goods_name = <<"橙色道具"/utf8>>,ratio = 5000};

get_award_ratio(333,0,101,3) ->
    #act_draw_ratio{module = 333,sub_module = 0,sub_act = 101,award_id = 3,name = <<"竞榜"/utf8>>,goods_name = <<"紫色道具"/utf8>>,ratio = 3000};

get_award_ratio(333,0,102,1) ->
    #act_draw_ratio{module = 333,sub_module = 0,sub_act = 102,award_id = 1,name = <<"竞榜"/utf8>>,goods_name = <<"超级大奖"/utf8>>,ratio = 1000};

get_award_ratio(333,0,102,2) ->
    #act_draw_ratio{module = 333,sub_module = 0,sub_act = 102,award_id = 2,name = <<"竞榜"/utf8>>,goods_name = <<"红色道具"/utf8>>,ratio = 4000};

get_award_ratio(333,0,102,3) ->
    #act_draw_ratio{module = 333,sub_module = 0,sub_act = 102,award_id = 3,name = <<"竞榜"/utf8>>,goods_name = <<"橙色道具"/utf8>>,ratio = 5000};

get_award_ratio(424,1,0,1) ->
    #act_draw_ratio{module = 424,sub_module = 1,sub_act = 0,award_id = 1,name = <<"藏宝图普通奖池"/utf8>>,goods_name = <<"<color@5>极品道具</color>"/utf8>>,ratio = 1250};

get_award_ratio(424,1,0,2) ->
    #act_draw_ratio{module = 424,sub_module = 1,sub_act = 0,award_id = 2,name = <<"藏宝图普通奖池"/utf8>>,goods_name = <<"<color@4>珍品道具</color>"/utf8>>,ratio = 1750};

get_award_ratio(424,1,0,3) ->
    #act_draw_ratio{module = 424,sub_module = 1,sub_act = 0,award_id = 3,name = <<"藏宝图普通奖池"/utf8>>,goods_name = <<"<color@3>精品道具</color>"/utf8>>,ratio = 3000};

get_award_ratio(424,1,0,4) ->
    #act_draw_ratio{module = 424,sub_module = 1,sub_act = 0,award_id = 4,name = <<"藏宝图普通奖池"/utf8>>,goods_name = <<"<color@2>普通道具</color>"/utf8>>,ratio = 4000};

get_award_ratio(424,2,0,1) ->
    #act_draw_ratio{module = 424,sub_module = 2,sub_act = 0,award_id = 1,name = <<"藏宝图高级奖池"/utf8>>,goods_name = <<"<color@6>超级大奖</color>"/utf8>>,ratio = 250};

get_award_ratio(424,2,0,2) ->
    #act_draw_ratio{module = 424,sub_module = 2,sub_act = 0,award_id = 2,name = <<"藏宝图高级奖池"/utf8>>,goods_name = <<"<color@5>极品道具</color>"/utf8>>,ratio = 1000};

get_award_ratio(424,2,0,3) ->
    #act_draw_ratio{module = 424,sub_module = 2,sub_act = 0,award_id = 3,name = <<"藏宝图高级奖池"/utf8>>,goods_name = <<"<color@4>珍品道具</color>"/utf8>>,ratio = 1750};

get_award_ratio(424,2,0,4) ->
    #act_draw_ratio{module = 424,sub_module = 2,sub_act = 0,award_id = 4,name = <<"藏宝图高级奖池"/utf8>>,goods_name = <<"<color@3>精品道具</color>"/utf8>>,ratio = 3000};

get_award_ratio(424,2,0,5) ->
    #act_draw_ratio{module = 424,sub_module = 2,sub_act = 0,award_id = 5,name = <<"藏宝图高级奖池"/utf8>>,goods_name = <<"<color@2>普通道具</color>"/utf8>>,ratio = 4000};

get_award_ratio(_Module,_Submodule,_Subact,_Awardid) ->
    [].

get_award_list(331,6,0) ->
    [1,2,3,4,5];

get_award_list(331,11,0) ->
    [1,2,3,4,5];

get_award_list(331,20,0) ->
    [1,2,3];

get_award_list(331,115,0) ->
    [1,2,3,4,5];

get_award_list(331,120,0) ->
    [1,2,3];

get_award_list(331,122,0) ->
    [1,2,3];

get_award_list(333,0,101) ->
    [1,2,3];

get_award_list(333,0,102) ->
    [1,2,3];

get_award_list(424,1,0) ->
    [1,2,3,4];

get_award_list(424,2,0) ->
    [1,2,3,4,5];

get_award_list(_Module,_Submodule,_Subact) ->
    [].

